{"components":{"schemas":{"AltBeneficialOwner":{"description":"Beneficial owner","properties":{"altSource":{"description":"Source for alternative, either OWNER or BOARD_MEMBER","enum":["OWNER","BOARD_MEMBER"],"type":"string"},"boardMemberInfo":{"$ref":"#/components/schemas/BoardMemberInfo"},"name":{"description":"Beneficial owner name","type":"string"},"ownerInfo":{"$ref":"#/components/schemas/OwnerInfo"},"yearOfBirth":{"description":"Beneficial owner year of birth or personal number","type":"string"}},"type":"object"},"AltBeneficialOwnersResult":{"description":"Alternative beneficial owners compilation","properties":{"altBeneficialOwners":{"description":"Alternative beneficial owners","items":{"$ref":"#/components/schemas/AltBeneficialOwner"},"type":"array"},"companyId":{"type":"string"},"hitCount":{"description":"No of alternative beneficial owners","format":"int32","type":"integer"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"BoardMemberInfo":{"description":"Board member info i.e. role and role description","properties":{"description":{"description":"Role description","type":"string"},"role":{"description":"Role code","type":"string"}},"type":"object"},"OwnerInfo":{"description":"Total quota of shares","properties":{"name":{"type":"string"},"ownersPossibleFamily":{"items":{"$ref":"#/components/schemas/OwnerInfo"},"type":"array"},"shareQuotas":{"description":"List of share types and quotas","items":{"$ref":"#/components/schemas/ShareQuota"},"type":"array"},"totalQuota":{"description":"Total quota of shares","type":"string"},"yearOfBirth":{"type":"string"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"},"ShareQuota":{"description":"Share type and count","properties":{"company":{"description":"Company","type":"string"},"companyId":{"type":"string"},"path":{"description":"Description of quota calculation node by node","type":"string"},"quota":{"description":"Share quota","type":"string"},"shareType":{"description":"Share type","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Get alternative beneficial owners for company based on owner and board member information\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Alternative Beneficial Owners","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/beneficial-alt-owner-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"description":"Takes optional query parameters","operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"description":"as of year","in":"query","name":"asOfYear","schema":{"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/AltBeneficialOwnersResult"}}},"description":"OK, successful response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Alternative beneficial owners","tags":["AltBeneficialOwnersNo"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/no/company/alt-beneficial-owners/1.0"}],"x-category":"company","x-countries":["no"],"x-id":"AltBeneficialOwnersNo","x-logo":{"url":"https://roaring-assets.s3-eu-west-1.amazonaws.com/svg/beneficial-alt-owner.svg"}}